using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace MultimediaPlayer
{
    public partial class SeekToTimeForm : Form
    {
        private MediaPlayer _mediaPlayer;

        public SeekToTimeForm(MediaPlayer mediaPlayerInstance)
        {
            if (mediaPlayerInstance == null) throw new ArgumentNullException();

            InitializeComponent();

            _mediaPlayer = mediaPlayerInstance;
            txtSeekTime.Text = _mediaPlayer.PositionText;
            lblCurrentTime.Text = _mediaPlayer.PositionText;
            lblTotalTime.Text = _mediaPlayer.LengthText;
        }

        public string CurrentTime
        {
            get { return lblCurrentTime.Text; }
            set { lblCurrentTime.Text = value; }
        }

        public string TotalTime
        {
            get { return lblTotalTime.Text; }
            set { lblTotalTime.Text = value; }
        }

        private void btnSeek_Click(object sender, EventArgs e)
        {
            _mediaPlayer.Position = MediaPlayer.HmsToSeconds(txtSeekTime.Text);
            this.Close();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void lblCurrentTime_MouseDown(object sender, MouseEventArgs e)
        {
            if (e.Button == MouseButtons.Left) txtSeekTime.Text = lblCurrentTime.Text;
        }

        private void lblTotalTime_MouseDown(object sender, MouseEventArgs e)
        {
            if (e.Button == MouseButtons.Left) txtSeekTime.Text = lblTotalTime.Text;
        }

        private void cmnuCCopy_Click(object sender, EventArgs e)
        {
            txtSeekTime.Text = lblCurrentTime.Text;
        }

        private void cmnuTCopy_Click(object sender, EventArgs e)
        {
            txtSeekTime.Text = lblTotalTime.Text;
        }
    }
}